/*
 * Program:    Attribute.java
 * Purpose:    SAML attribute
 * @author     Ray Lai (ray.lai@sun.com)
 * @version    1.0
 * Updated:    April 17, 2005, 11:54 PM
 * Copyright:  (c) 2006 by Ray Lai
 * Remarks:    Full program and documentation will be available under developer.java.net
 * =====================================================================================
 * Design summary
 * 
 * This simplified version encapsulates the SAML attribute object. In essence, it
 * includes a list of attributes (values), and does not contain the full SAML attribute
 * such as name, namespace, qualified name, life time.
 */

package com.csp.identity;

import java.util.Collection;

public class Attribute {

    protected Collection values;
    
    
    /** Constructor - Creates a new instance of Attribute */
    public Attribute() {
    }

    /** Set attribute
     *
     * @param Collection list of attribute values
     **/
    public void setAttribute(Collection values) {
        this.values = values;
    }
    
    /**
     * Get attribute
     *
     * @return Collection list of attribute values
     **/
    public Collection getAttribute() {
        return this.values;
    }
}
