/*
 * Program:    AttributeStatement.java
 * Purpose:    Creation of SAML attribute statement
 * @author     Ray Lai (ray.lai@sun.com)
 * @version    1.0
 * Updated:    April 17, 2005, 2:09 PM
 * Copyright:  (c) 2006 by Ray Lai
 * Remarks:    Full program and documentation will be available under developer.java.net
 *             For simplicity, logger class is removed.
 *             For licensing/copyright issues, sample service provider class such as OpenSAML is removed.
 * =====================================================================================
 */

package com.csp.identity;

public class AttributeStatement extends com.csp.identity.Assertion {

    static final String ASSERTION_TYPE = "ATTRIBUTE";
    protected com.csp.identity.AttributeStatement attributeStatement;
    protected com.csp.identity.Attribute attribute;
   

    /** Constructor - Creates a new instance of AttributeStatement */
    public AttributeStatement() {
        //log = LogFactory.getLog(AttributeStatement.class.getPackage().getName());
    }

    /**
     *  Get instance of the existing attribute assertion statement
     *  If instance does not exist, create one
     *
     *  @return AttributeStatement instance of Attribute statement
     */
    public com.csp.identity.AttributeStatement getInstance() {
        if (attributeStatement == null) {
            attributeStatement = new AttributeStatement();
        }
        return this.attributeStatement;
    }

    /**
     * Create SAML attribute assertion statement
     *
     **/
    public void create() {    
      // customize your create() using your service provider classes
    }
    
    /**
     * Add attribute
     *
     * @param attribute  Attribute
     */
    public void addAttribute (com.csp.identity.Attribute attribute) {
        this.attribute = attribute;
    }

    /**
     * Update attribute
     *
     * @param attribute  Attribute
     */
    public void updateAttribute (com.csp.identity.Attribute attribute) {
        this.attribute = attribute;
    }
    
    /**
     * Get attribute
     *
     * @return attributes  Attribute
     */
    public com.csp.identity.Attribute getAttribute() {
        return this.attribute;
    }
}
