/*
 * Program:    AuthorizationDecisionStatement.java
 * Purpose:    authorization statement
 * @author     Ray Lai (ray.lai@sun.com)
 * @version    1.0
 * Updated:    April 17, 2005, 1:35 PM
 * Copyright:  (c) 2006 by Ray Lai
 * Remarks:    Full program and documentation will be available under developer.java.net
 *             For licensing/copyright issues, sample service provider class such as OpenSAML is removed.
 * =====================================================================================
 * Design summary
 *
 */

package com.csp.identity;

import java.util.Collection;
//import org.apache.commons.logging.Log;
//import org.apache.commons.logging.LogFactory;

public class AuthorizationDecisionStatement extends com.csp.identity.Assertion {
   
    static final String ASSERTION_TYPE = "AUTHORIZATION_DECISION";
    protected com.csp.identity.AuthorizationDecisionStatement authzStateFactory;
    protected Collection evidence;
    protected Collection actions;
    protected String decision;
    protected String resource;
    //protected Log log;
    
    /** Constructor - Creates a new instance of AuthenticationStatement */
    public AuthorizationDecisionStatement() {
        //log = LogFactory.getLog(AuthorizationDecisionStatement.class.getPackage().getName());
    }
    
    /**
     *  Get instance of the existing authorization decision assertion statement
     *  If instance does not exist, create one
     *
     *  @return AuthorzationDecisionStatement instance of Authorization Decision
     *               statement
     */
    public com.csp.identity.AuthorizationDecisionStatement getInstance() {
        if (authzStateFactory == null) {
            authzStateFactory = new AuthorizationDecisionStatement();
        }
        return this.authzStateFactory;
    }

    /**
     * Create SAML authorization decision assertion statement
     *
     **/
    public void create() {    
      // customize your create() using your service provider classes        
    }
    
    /**
     *  get Evidence
     *
     *  @return Collection list of evidence
     **/
    public Collection getEvidence() {
        return this.evidence;
    }

    /**
     *  set Evidence
     *
     *  @param Collection list of evidence
     *
     **/    
    public void setEvidence(Collection evidence) {
        this.evidence = evidence;
    }

    /**
     *  get Actions
     *
     *  @return Collection list of actions
     *
     **/
    public Collection getActions() {
        return this.actions;
    }

    /**
     *  set actions
     *
     *  @param Collection list of actions
     **/
    public void setActions(Collection actions) {
        this.actions = actions;
    }
    
    /**
     *  get Decision
     *
     *  @return decision for the authorization request
     *
     **/
    public String getDecision() {
        return this.decision;
    }

    /**
     *  set Evidence
     *
     *  @param String decision
     **/
    public void setDecision(String decision) {
        this.decision = decision;
    }
    
    /**
     *  get Resource
     *
     *  @return String resource in string format
     *
     **/
    public String getResource() {
        return this.resource;
    }
    
    /**
     *  set Resource
     *
     *  @param String resource
     **/
    public void setResource(String resource) {
        this.resource = resource;
    }
}