/*
 * Program:    SSODelegatorException.java
 * Purpose:    Exception class for SSODelegator
 * @author     Ray Lai (ray.lai@sun.com)
 * @version    1.0
 * Updated:    April 19, 2005, 8:09 AM
 * Copyright:  (c) 2006 by Ray Lai
 * Remarks:    Full program and documentation will be available under developer.java.net
 *             For simplicity, logger class is removed.
 * =====================================================================================
 * Design summary
 *
 */

package com.csp.identity;

public class SSODelegatorException extends Exception {
    
    /** Creates a new instance of SSODelegatorException - no parameter */
    public SSODelegatorException() {
        super();
    }
    
    /**
     * Constructor - create SSODelegator exception with a message
     *
     * @param String error message
     */
    public SSODelegatorException(String message) {
        super(message);
    }

    /**
     * Constructor - create SSODelegator exception with a message and a cause
     *
     * @param String error message
     * @Throwable cause of the exception
     */
    public SSODelegatorException(String message, Throwable cause) {
        super(message, cause);
    }

   /**
     * Constructor - create SSODelegator exception with a cause
     *
     * @Throwable cause of the exception
     */    
    public SSODelegatorException(Throwable cause) {
        super(cause);
    }
}
