/*
 * Program:   AddResponse.java
 * Purpose:   Stub program to simulate SPML add response
 * Updated:   November 8, 2005, 11:03 PM
 * @author    Ray Lai (ray.lai@sun.com)
 * Copyright:  (c) 2006 by Ray Lai
 * Remarks:    Full program and documentation will be available under developer.java.net
 *             For simplicity, logger class is removed.
 * ============================================================================================
 */

package com.csp.spml;

import org.jdom.Document;
import org.jdom.output.XMLOutputter;


public class AddResponse {
    
    protected String message;
    protected Document spmlMessage;
    
    /** Creates a new instance of AddResponse */
    public AddResponse() {
    }
    
    /** set message
     *
     * @param Document spml message
     */
    public void setMessage(Document msg) {
        this.spmlMessage = msg;
    }
    
    /** converted SPML message to string
     *
     * @return String spml message
     */
    public String toString() {
        XMLOutputter serializer = new XMLOutputter();
        return (serializer.outputString(this.spmlMessage));
    }
}
