/*
 * Program:   SpmlClient.java
 * Purpose:   Stub client for creating SPML addUser request
 * Updated:   November 8, 2005, 10:58 PM
 * @author    Ray Lai (ray.lai@sun.com)
 * Remarks:    Full program and documentation will be available under developer.java.net
 *             For simplicity, logger class is removed.
 * ============================================================================================
 */

package com.csp.spml;

import com.csp.spml.AddResponse;


public class SpmlClient {
    
    protected String url;
    protected Boolean traceOn;
    
    /** Creates a new instance of SpmlClient */
    public SpmlClient() {
        // to be customized
    }

    /** set trace on/off
     *
     * @param Boolean trace switch on/off
     */
    public void setTrace(Boolean traceSwitch) {
        this.traceOn = traceSwitch;
    }
    
    /** set url
     * @param String rul
     */
    public void setUrl(String url) {
        this.url = url;
    }
    
    /* create SPML addrequest message
     *
     * @param AddRequest add request message
     * @return AddResponse add response message
     */
    public AddResponse request(AddRequest addRequest) {
        System.out.println("SpmlClient: sending to http://localhost:8080/lighthouse/servlet/rpcrouter2");
        AddResponse addResponse = new AddResponse();               
        addResponse.setMessage(addRequest.getSpmlRequest());
        return addResponse;
    }
    
    /** process add request message and throw errors if any
     * @param AddResponse add response message
     */
    public void throwErrors(AddResponse addResponse) {
        System.out.println(addResponse.toString());
        System.out.println();
        System.out.println("org.openspml.util.SpmlException: Connection reset");
        System.out.println();
        
    }
}
